# new_scaling

This Python (3.6) module in the /src/scale folder (fitAnalysis.py) applies scaling for data in the data folder. The code used for scaling is in the src/scale/fitAnalysis.py module.
The method applies the scaling approach in Lobo et al. 2013 and elsewhere (see module). Output is in the output folder. To run the code, you need the input file from the supplementary data and you should include the path to the file in the run script.
The required input columns are 'Site' (name of the site), 'House Area (m^2)' (house size), and 'Site size ha' (site area).

The output folder contains the output .csv file.

Libraries used are in the requirements.txt. 

To run the analysis, once the requirements.txt and Python are installed, then type in the command line from the path of the fitAnalysis.py file:

python fitAnalysis.py --file /path/to/input/file
